Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQSqlDriverPlugin Class Reference

The TQSqlDriverPlugin class provides an abstract base for custom TQSqlDriver plugins. More...

`#include <ntqsqldriverplugin.h>`

List of all member functions.

## Public Members

- TQSqlDriverPlugin ()
- ~TQSqlDriverPlugin ()
- virtual TQStringList keys () const = 0
- virtual TQSqlDriver * create ( const TQString & key ) = 0

## Detailed Description

The TQSqlDriverPlugin class provides an abstract base for custom TQSqlDriver plugins.

The SQL driver plugin is a simple plugin interface that makes it easy to create your own SQL driver plugins that can be loaded dynamically by TQt.

Writing a SQL plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `TQ_EXPORT_PLUGIN` macro. See the SQL plugins that come with TQt for example implementations (in the `plugins/src/sqldrivers` subdirectory of the source distribution). Read the plugins documentation for more information on plugins.

See also Plugins.

## Member Function Documentation

### TQSqlDriverPlugin::TQSqlDriverPlugin ()

Constructs a SQL driver plugin. This is invoked automatically by the `TQ_EXPORT_PLUGIN` macro.

### TQSqlDriverPlugin::~TQSqlDriverPlugin ()

Destroys the SQL driver plugin.

You never have to call this explicitly. TQt destroys a plugin automatically when it is no longer used.

### TQSqlDriver * TQSqlDriverPlugin::create ( const TQString & key )`[pure virtual]`

Creates and returns a TQSqlDriver object for the driver key key. The driver key is usually the class name of the required driver.

See also keys().

### TQStringList TQSqlDriverPlugin::keys () const`[pure virtual]`

Returns the list of drivers (keys) this plugin supports.

These keys are usually the class names of the custom drivers that are implemented in the plugin.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.